#
# spec file for package sitecopy (Version 0.11.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libglade libglade-devel libxml libxml-devel openssl openssl-devel orbit orbit-devel xf86
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils bzip2 cracklib esound esound-devel gcc gdbm gettext glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libglade libglade-devel libtool libxml libxml-devel openssl openssl-devel orbit orbit-devel perl rpm

Name:         sitecopy
Summary:      Local->Remote website synchronizer
Version:      0.11.4
Release:      1024
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Source0:      http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.gz
Patch0:       sitecopy-%{version}.dif
Patch1:       sitecopy-0.11.4.mkdir.diff
Patch2:       sitecopy-neon-0.23.7.diff
Patch3:       sitecopy-neon-CAN-2004-0398.patch
Patch4:       sitecopy-neon-CAN-2004-0179.diff
URL:          http://www.lyra.org/sitecopy
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
sitecopy is for copying locally stored web sites to remote web servers.
The program will upload files to the server which have changed locally
and delete files from the server which have been removed locally to
keep the remote site synchronized with the local site, with a single
command.  The aim is to remove the hassle of uploading and deleting
individual files using an FTP client. FTP, WebDAV, and HTTP-based
authoring servers are supported.



Authors:
--------
    Joe Orton <joe@orton.demon.co.uk>

%package -n xsitecopy
Summary:      Sitecopy website synchronization utility. (GNOME version)
Obsoletes:    xsitecpy
Provides:     xsitecpy
Group:        Productivity/Networking/Web/Utilities

%description -n xsitecopy
XSitecopy is the GNOME version of sitecopy. Currently it does not
support "fetch mode" or "resynch", but it does have the advantage of
providing full configuration editing facilities.



Authors:
--------
    Joe Orton  <joe@orton.demon.co.uk>
    Lee Mallabone <lee0@callnetuk.com>

%prep
%setup -q -T -c -a 0
pwd
ls -l
cd %{name}-%{version}
%patch0
%patch1 -p1
%patch2 -p1
cd libneon
%patch3 -p1
%patch4 -p1
cd ..
pwd
cd ..
mv sitecopy-%{version} sitecopy
%setup -q -T -c -a 0 -D
ls -l
cd %{name}-%{version}
%patch0
%patch1 -p1
%patch2 -p1
cd libneon
%patch3 -p1
%patch4 -p1
cd ..
cd ..
mv sitecopy-%{version} xsitecopy

%build
pwd
# vanilla sitecopy.
cd sitecopy
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=/usr \
	--mandir=\${prefix}/share/man \
	--with-ssl
  make
cd ..
# xsitecopy.
cd xsitecopy
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=/opt/gnome \
	--enable-gnomefe \
	--with-ssl
  make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/opt/gnome/{share,share/gnome,share/gnome/apps,share/gnome/apps/Internet}
install -d $RPM_BUILD_ROOT/opt/gnome/{share/gnome/help,share/gnome/help/xsitecopy,share/gnome/help/xsitecopy/C}
cd sitecopy
make prefix=$RPM_BUILD_ROOT/usr install
cd ..
cd xsitecopy
make prefix=$RPM_BUILD_ROOT/opt/gnome install
cd ..

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort|uniq > /tmp/install_file.txt
rpm -qpl /usr/src/packages/RPMS/*/*-%{release}.%{_arch}.rpm|sort|uniq > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt ); cat /tmp/file_diff.txt

%files -n sitecopy
%defattr(-, root, root)
/usr/bin/sitecopy
%doc sitecopy/COPYING
%doc sitecopy/README
%doc sitecopy/ChangeLog 
%doc sitecopy/FAQ
%doc sitecopy/doc/examplerc
%doc sitecopy/doc/update.sh
/usr/share/man/man1/*
/usr/share/locale/*/LC_MESSAGES/sitecopy.mo

%files -n xsitecopy
%defattr(-, root, root)
%doc sitecopy/COPYING
%doc sitecopy/README
%doc sitecopy/README.gnome
%doc sitecopy/gnome/ChangeLog.xsitecopy 
%doc sitecopy/FAQ
%doc sitecopy/doc/examplerc
%doc sitecopy/doc/update.sh
%dir /opt/gnome/share/xsitecopy
/opt/gnome/share/gnome/help/xsitecopy
/opt/gnome/share/pixmaps/xsitecopy
/opt/gnome/share/gnome/apps/Internet/*.desktop
/opt/gnome/share/locale/*/LC_MESSAGES/sitecopy.mo
/opt/gnome/bin/xsitecopy
/opt/gnome/share/xsitecopy/sitecopy-dialogs.glade

%changelog -n sitecopy
* Fri Jun 18 2004 - olh@suse.de
- add sitecopy-neon-CAN-2004-0179.diff (#41711)
* Fri Jun 18 2004 - olh@suse.de
- add sitecopy-neon-CAN-2004-0398.patch (#41711)
* Wed Jun 09 2004 - olh@suse.de
- add sitecopy-neon-0.23.7.diff (#41833)
* Mon Jan 20 2003 - olh@suse.de
- add sitecopy-0.11.4.mkdir.diff (#12545)
  simplify specfile
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Apr 09 2002 - ro@suse.de
- copy conditionals to main path of configure(.in)
- change some LIBOBJS usages to AC_LIBOBJ
* Fri Mar 15 2002 - olh@suse.de
- add /opt/gnome/share/xsitecopy to file list
* Tue Jan 22 2002 - olh@suse.de
- update to 0.11.4
* Tue Jan 22 2002 - olh@suse.de
- rename xsitecpy to xsitecopy, fix compile with gnome1
* Thu Jan 10 2002 - olh@suse.de
- update to 0.11.3
* Sun Jan 06 2002 - olh@suse.de
-update to 0.11.2
* Wed Jul 11 2001 - olh@suse.de
- enable openssl support
* Wed Jul 11 2001 - olh@suse.de
- gcc30 compile fixes
* Tue Mar 13 2001 - ro@suse.de
- added xf86 to neededforbuild
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.10.15
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Dec 12 2000 - olh@suse.de
- update to 0.10.9
* Wed Nov 22 2000 - olh@suse.de
- update to 0.10.7
* Tue Nov 07 2000 - kukuk@suse.de
- Add esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 17 2000 - olh@suse.de
- update to 0.10.6, fix gnome header path
* Tue Sep 12 2000 - olh@suse.de
-  add libgladd to neededforbuild
* Sun Sep 10 2000 - olh@suse.de
- fix specfile
* Tue Sep 05 2000 - egger@suse.de
- Update to 0.10.4.
* Sun Mar 12 2000 - olh@suse.de
- update to 0.9.8
* Wed Mar 08 2000 - olh@suse.de
- update to 0.9.7
* Tue Mar 07 2000 - olh@suse.de
- update to 0.9.6, use locale
* Thu Mar 02 2000 - olh@suse.de
- update to 0.9.5
* Fri Feb 04 2000 - olh@suse.de
- update to 0.9.4
* Wed Jan 26 2000 - olh@suse.de
- update to 0.9.3
  /usr/man -> /usr/share/man
  check for compile errors on axp,i386,ppc
* Thu Dec 09 1999 - olh@suse.de
- added expat to # neededforbuild
* Tue Dec 07 1999 - olh@suse.de
- remove expat from package
* Mon Oct 25 1999 - olh@suse.de
- update to 0.8.4
* Sun Oct 24 1999 - olh@suse.de
- fixed dump specfile, add more docs
- check for build on i386, axp, ppc
- added libexpat, a XML parser in C
* Fri Oct 22 1999 - olh@suse.de
- fixed installdir for sitecopy
* Fri Oct 22 1999 - olh@suse.de
- update to 0.8.3
* Tue Sep 21 1999 - olh@suse.de
- add sitecopy package to SuSE distribution
